# Vapoursynth

## Limit memory usage

    :::python3
    core.max_cache_size = 1000

## Basic encoding options for 10 bit

### x265

x265 only outputs to its own bistream format.

    :::shell
    vapoursynth sh -c 'vspipe --y4m script.vpy - | x265 --y4m -D 10 --preset slow --crf 18 -o output.265 -'

### x264

Unlike x265, x264 supports mkv containers as output.

    :::shell
    vapoursynth sh -c 'vspipe --y4m script.vpy - | x264 --demuxer y4m --profile high10 --input-depth 10 --output-depth 10 --preset slow --crf 18 -o output.mkv -'
